# fintic
## Install instructions

Run these commands in the directory you want to put the app and press enter during the setup whenever it asks for confirmation
```console
sudo apt-get update
sudo apt-get install git
git clone https://github.com/fin-tic/fintic --recursive

cd fintic
./setup.sh

```

Now to turn off the audio circuit open the config file with 
```console
sudo nano /boot/config.txt
```
look for the dtparam=audio option and turn it to off, the line should look like this:
```console
dtparam=audio=off
```

then reboot the pi with 
```console
sudo reboot
```

## Set to run at startup

add the startup script to crotab. Open the crontab
```console
crontab -e
```

add the line 

```console
@reboot <path to fintic>/startup.sh &
```

dont forget the ampersand!

also make sure that the paths in startup.sh are correct for your install location 
  
 
## Change the hostname 

To change the hostname (URL used to access the server) first open config
```console
sudo raspi-config
```
Then go to system options -> hostname and change it to e.g. fintic

You then connect to the server using the url fintic.local:1024


## Run instructions

```console
python3 server.py
```
in broswer go to url http://raspberrypi.local:1024

## Notes


To conver bdf font to pil format do  pilfont.py <font filename>
  pillow v 5.4.1 works, but version 8.2.0 breaks





